summaryrefslogtreecommitdiffstats
path: root/source/a/gettext/gettext.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-05-25 20:03:47 +0000
committer Eric Hameleers <alien@slackware.com>2019-05-26 08:59:47 +0200
commit2c3f22d980b1d1cf65391cf566c551387beb5030 (patch)
treeaa7455361e378264410f31087727512d20adbcd8 /source/a/gettext/gettext.SlackBuild
parente7b7b935947783ef2f4dfa78652380865f80aa6c (diff)
downloadcurrent-2c3f22d980b1d1cf65391cf566c551387beb5030.tar.gz
current-2c3f22d980b1d1cf65391cf566c551387beb5030.tar.xz
Sat May 25 20:03:47 UTC 201920190525200347
a/gettext-0.20.1-x86_64-1.txz: Upgraded. a/kernel-generic-4.19.46-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.46-x86_64-1.txz: Upgraded. a/kernel-modules-4.19.46-x86_64-1.txz: Upgraded. d/gcc-9.1.0-x86_64-6.txz: Rebuilt. Patched to fix a format string error in the es locale that led to an assertion failure when compiling the Linux kernel. Thanks to USUARIONUEVO. d/gcc-brig-9.1.0-x86_64-6.txz: Rebuilt. d/gcc-g++-9.1.0-x86_64-6.txz: Rebuilt. d/gcc-gdc-9.1.0-x86_64-6.txz: Rebuilt. d/gcc-gfortran-9.1.0-x86_64-6.txz: Rebuilt. d/gcc-gnat-9.1.0-x86_64-6.txz: Rebuilt. d/gcc-go-9.1.0-x86_64-6.txz: Rebuilt. d/gcc-objc-9.1.0-x86_64-6.txz: Rebuilt. d/gettext-tools-0.20.1-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.46-x86-1.txz: Upgraded. d/rust-1.35.0-x86_64-1.txz: Upgraded. k/kernel-source-4.19.46-noarch-1.txz: Upgraded. l/python-urllib3-1.25.3-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/a/gettext/gettext.SlackBuild')
-rwxr-xr-xsource/a/gettext/gettext.SlackBuild25
1 files changed, 23 insertions, 2 deletions
diff --git a/source/a/gettext/gettext.SlackBuild b/source/a/gettext/gettext.SlackBuild
index f95e54c94..17f5545e2 100755
--- a/source/a/gettext/gettext.SlackBuild
+++ b/source/a/gettext/gettext.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gettext
-VERSION=0.19.8.1
-BUILD=${BUILD:-5}
+VERSION=0.20.1
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -93,10 +93,26 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/gettext-$VERSION \
--disable-static \
--build=$ARCH-slackware-linux || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+cd ../libtextstyle
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/gettext-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Back to gettext-runtime to fetch docs:
+cd ../gettext-runtime
+
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
@@ -119,6 +135,11 @@ gzip -9 $PKG/usr/man/man?/*
cp -a \
AUTHORS BUGS intl/COPYING* INSTALL NEWS README* \
$PKG/usr/doc/gettext-$VERSION
+cd ../libtextstyle
+mkdir $PKG/usr/doc/gettext-$VERSION/libtextstyle
+cp -a \
+ AUTHORS COPYING* ChangeLog DEPENDENCIES HACKING INSTALL* NEWS README* \
+ $PKG/usr/doc/gettext-$VERSION/libtextstyle
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc